/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 02 - Esercizio 05 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int rk, ck, rq, cq;

  /* input king position */
  printf("Insert the king row: ");
  scanf("%d", &rk);
  printf("Insert the king column: ");
  scanf("%d", &ck);

  /* input queen position */
  printf("Insert the queen row: ");
  scanf("%d", &rq);
  printf("Insert the queen column: ");
  scanf("%d", &cq);

  /* test and output */
  if ((rk == rq) || (ck == cq) || (rk-ck == rq-cq) || (rk+ck == rq+cq)) {
    printf("In Check.\n");
  } else {
    printf("Not in Check.\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
