/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 02 - Esercizio 06 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  char cin, cout;

  /* input character */
  printf("Input a character: ");
  scanf("%c", &cin);

  /* test and output */
  if (cin>='A' && cin<='Z') {
    printf("A capital letter has been introduced.\n");
    cout = cin - 'A' + 'a';
    printf("Corresponding small letter: %c\n", cout);
  } else if (cin>='a' && cin<='z') {
    printf("A small letter has been introduced.\n");
    cout = cin - 'a' + 'A';
    printf("Corresponding capital letter: %c\n", cout);
  } else if (cin>='0' && cin<='9') {
    printf("A digit has been introduced.\n");
  } else {
    printf("The character is neither a letter nor a digit.\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
