/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 02 - Esercizio 07 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  char operation;
  float leftOperand, rightOperand, result;
  int errorFlag=0;

  printf("Ready (format: <operation> <operand1> <operand2>):\n");
  scanf("%c", &operation);
  scanf("%f", &leftOperand);
  scanf("%f", &rightOperand);

  if (operation == '+') {
    result = leftOperand + rightOperand;
  } else if (operation == '-') {
    result = leftOperand - rightOperand;
  } else if (operation == '*') {
    result = leftOperand * rightOperand;
  } else if (operation == '/') {
    if (rightOperand == 0) {
       printf("Error: division by zero. Aborting...\n");
       errorFlag = 1;
    } else {
       result = leftOperand / rightOperand;
    }
  } else {
    printf("Error: wrong operator. Aborting...\n");
    errorFlag = 1;
  }

  if (errorFlag == 0) {
    printf("%g %c %g = %g\n", leftOperand, operation, rightOperand, result);
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
