/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 02 - Esercizio Proposto 02 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  float a, b, c;

  /* input sides */
  printf("Insert first  side: ");
  scanf("%f", &a);
  printf("Insert second side: ");
  scanf("%f", &b);
  printf("Insert third  side: ");
  scanf("%f", &c);

  /* comparisons and output */
  if (a*a == b*b+c*c) {
    printf("The hypotenuse is the first side.\n");
    printf("Area = %f\n", b*c/2);
  } else if (b*b == a*a+c*c) {
    printf("The hypotenuse is the second side.\n");
    printf("Area = %f\n", a*c/2);
  } else if (c*c == a*a+b*b) {
    printf("The hypotenuse is the third side.\n");
    printf("Area = %f\n", a*b/2);
  } else {
    printf("This is not a valid triangle!\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
