/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 09 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int key;
  char c;

  /* read the key */
  printf("Input the key: ");
  scanf("%d%*c", &key);

  /* read n (digit by digit) */
  printf("Insert the value to be coded: ");
  do {
    scanf("%c", &c);
    if (c>='0' && c<='9') {
      /* output coded digit */
      printf("%d", (c-'0'+key)%10);
    }
  } while (c>='0' && c<='9');
  printf(" is the encoded number.\n");

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
