/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 11 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, i;
  float max1, max2, tmp, val;

  /* input n */
  printf("Number of terms: ");
  scanf("%d", &n);

  /* input first two values: initialize max1 and max2 */
  printf("First value: ");
  scanf("%f", &max1);
  printf("Second value: ");
  scanf("%f", &max2);
  if (max2 > max1) {
    tmp = max1;
    max1 = max2;
    max2 = tmp;
  }

  /* input remaining values */
  for (i=3; i<=n; i++) {
    printf("%d-th value: ", i);
    scanf("%f", &val);

    if (val > max1) {
      /* (val > max1) and (val > max2) */
      max2 = max1;
      max1 = val;
    } else {
      if (val > max2) {
        /* (val <= max1) and (val > max2) */
        max2 = val;
      }
    }
  }
  
  /* output results */
  printf("First  maximum = %f\n", max1);
  printf("Second maximum = %f\n", max2);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
