/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 12 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int i, n, f0, f1, f2;

  printf("How many numbers? ");
  scanf("%d", &n);

  if (n < 0) {
    printf("Error: Negative number of terms.\n");
  } else {
    if (n >= 0) {
      printf("f0 = 0\n");
    }
    if (n >= 1) {
      printf("f1 = 1\n");
    }

    f0 = 0;
    f1 = 1;
    i = 2;
    while (i <= n) {
      f2 = f0 + f1;
      f0 = f1;
      f1 = f2;

      printf("f%d = %d\n", i, f2);
      i++;
    }
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
