/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 14 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, i, val, valOld, flagAsc, flagDes;

  printf("Number of value: ");
  scanf("%d", &n);

  flagAsc = flagDes = 1;
  for (i=1; i<=n; i++) {
    /* read new value */
    printf("%d-th value: ", i);
    scanf("%d", &val);

    /* second or subsequent iteration: check conditions */
    if (i != 1) {
      if (val <= valOld) {
        flagAsc = 0;
      }
      if (val >= valOld) {
        flagDes = 0;
      }
    }

    /* store new value in the "previous" one */
    valOld = val;
  }

  /* output result message */
  if (flagAsc == 1) {
    printf("Ascending sequence.\n");
  }
  if (flagDes == 1) {
    printf("Descending sequence.\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
