/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 16 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  char c1, c2, c3, c4;
  int flagRecognized;

  printf("Input one character at a time.\n");
  printf("The program ends when the sequence \"ciao\" is encountered.\n");

  /* variable initialization */
  c1 = c2 = c3 = c4 = 'x';
  flagRecognized = 0;

  do {
    /* variable shift: keep last 3 characters introduced */
    c1 = c2;
    c2 = c3;
    c3 = c4;

    /* read new character */
    printf("Character = ");
    scanf("%c%*c", &c4);

    /* check for sequence */
    if (c1=='c' && c2=='i' && c3=='a' && c4=='o') {
      flagRecognized = 1;
    }

  } while (flagRecognized == 0);

  printf("Sequence \"ciao\" encountered.\n");
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
