/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 17 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, bit, flag;

  /* read number */
  flag = 1;
  while (flag == 1) {
    printf("Decimal number (>=0): ");
    scanf("%d", &n);
    if (n < 0) {
      printf("Negative value, re-read.\n");
    } else {
      flag = 0;
    }
  }

  /* compute and output the binary number */
  printf("Binary number (from LSB) = ");
  if (n == 0) {
    printf("0");
  } 
  while (n != 0) {
    bit = n % 2;
    printf("%d", bit);
    n = n / 2;
  }

  /* new line */
  printf("\n");
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
