/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio Proposto 02 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int i, n, val, max, min, sum;
  float avg;

  /* input n */
  printf("Number of values: ");
  scanf("%d", &n);

  i = 1;
  sum = 0;
  while (i <= n) {
    /* input new value */
    printf("Value %d (out of %d): ", i, n);
    scanf("%d", &val);

    if (i == 1) {
      /* deal with the first value */
      min = max = val;
    } else {
      if (val < min) {
        min = val;
      }
      if (val > max) {
        max = val;
      }
    }

    sum = sum + val;
    i = i + 1;
  }

  /* output results */
  if (n >= 1) {
    avg = ((float)sum) / ((float)n);

    printf("Maximum value: %d\n", max);
    printf("Minimum value: %d\n", min);
    printf("Average value: %f\n", avg);
  } else {
    printf("No values introduced!\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
