/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio Proposto 06 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, i, max1, max2, min1, min2, val;

  /* input n */
  printf("Number of values: ");
  scanf("%d",&n);

  /* input values */
  for (i=1; i<=n; i++) {
    printf("Value (%d/%d): ", i, n);
    scanf("%d", &val); 

    if (i == 1) {
      /* first iteration: set all max and min to val */
      max1 = val;
      max2 = val;
      min1 = val;
      min2 = val;
    } else {
      if (i == 2) {
        /* second iteration: set proper max to val */
        if (val > max1) {
          max1 = val;
        } else {
          max2 = val;
        } 
        /* set proper min to val */
        if (val < min1) {
          min1 = val;
        } else {
          min2 = val;
        } 
      } else {
        /* third (or subsequent) iteration: deal with max */
        if (val > max1) {
          max2 = max1;
          max1 = val;                 
        } else {
          if (val > max2) {
            max2 = val;    
          }
        }
        /* deal with min */
        if (val < min1) {
          min2 = min1;
          min1 = val;                 
        } else {
          if (val < min2) {
            min2 = val;                         
          }
        }
      }
    }
  }
 
  /* output results */
  printf("Two max: %d %d\n", max1, max2); 
  printf("Two min: %d %d\n", min1, min2); 

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
