/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio Proposto 07 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define N 10

int main(void)
{
  int numOld, numNew;
  int diff, diffMax;
  int val1, val2;
  int i;

  diffMax = 0;
  i = 1;
  while (i <= N) {
    /* input value */
    printf("New value (%d/%d): ", i, N);
    scanf("%d", &numNew);

    if (i > 1) { 
      /* compute difference (absolute value) */
      diff = numNew - numOld;
      if (diff < 0) {
        diff *= -1;
      }

      /* compare with previous difference */
      if (diff > diffMax) {
        val1 = numNew;
        val2 = numOld;
        diffMax = diff;
      }
    }

    numOld = numNew;
    i++;
  }

  /* output results */
  printf("Max difference = %d (between %d and %d)\n", diffMax, val1, val2);
  return 0;
}


/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
