/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 04 - Esercizio 10 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, r, c, val;

  printf("Insert n: ");
  scanf("%d", &n);

  r = 1;
  while (r <= n) {
    /* fix first value on row r */
    if (r%2 ==  1) {
      val = n*(r-1)+1;
    } else {
      val = n*r;
    }

    c = 1;
    while (c <= n) {
      /* print out one value */
      printf("%3d ", val);
      /* increase/decrease val on odd/even rows */
      if (r%2 ==  1) {
        val++;
      } else {
        val--;
      }
      c = c + 1;
    }
    r = r + 1;
    printf("\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
