/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 04 - Esercizio Proposto 03 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, r, c, nStar;

  printf("Triangle side: ");
  scanf("%d", &n);

  nStar = 1;
  for (r=1; r<=2*n; r++) {
    /* draw nStar '*' */
    for (c=1; c<=nStar; c++) {
      printf("*");
    }
    printf("\n");

    /* increase/decrease nStar */
    if (r < n) {
      nStar++;
    } else if (r > n) {
      nStar--;
    }
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
