/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 04 - Esercizio Proposto 04 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, r, c;

  /* sign size */
  do {
    printf("Size n: ");
    scanf("%d", &n);
  } while (n<=0);

  /* for each row ... */
  for (r=1; r<=n; r++) {
    /* ... and for each column ... */
    for (c=1; c<=n; c++) {
      /* ... whether on a diagonal or anti-diagonal ... */
      if ((r==c) || (r==n-c+1)) {
        /* ... check for even or odd rows */
        if (r%2 == 1) {
          printf("+");
        } else {
          printf("-");
        }
      } else {
        /* ... otherwise print a space */
        printf(" ");
      }
    }
    printf("\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
