/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 03 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define N 10

int main(void)
{
  int i, array[N];

  /* read in the array */
  printf("Input sequence:\n");
  for (i=0; i<N; i++) {
    printf("Value = ");
    scanf("%d", &array[i]);
  } 

  /* display "even" elements */
  for (i=0; i<N; i+=2) {
    printf("%4d ", array[i]);
  } 
  printf("\n");

  /* display "odd" elements */
  for (i=1; i<N; i+=2) {
    printf("%4d ", array[i]);
  } 
  printf("\n");

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
