/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 08 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define N 5
#define M 5

int main(void)
{
  int i, j, dup, count;
  int v1[N], v2[M];

  /* input first array */
  printf("Input v1:\n");
  i = 0;
  while (i < N) {
    printf("v1[%d] = ", i);
    scanf("%d", &v1[i]);

    /* check for duplicated elements */
    for (dup=0, j=0; j<i && dup==0; j++) {
      if (v1[i] == v1[j]) {
        dup = 1;
      }
    }

    if (dup == 1) {
      printf("Duplicated element, RE-INSERT!\n");
    } else {
      i++;
    }
  }

  /* input second array */
  printf("Input v2:\n");
  i = 0;
  while (i < M) {
    printf("v2[%d] = ", i);
    scanf("%d", &v2[i]);

    /* check for duplicated elements */
    for (dup=0, j=0; j<i && dup==0; j++) {
      if (v2[i] == v2[j]) {
        dup = 1;
      }
    }

    if (dup == 1) {
      printf("Duplicated element, RE-INSERT!\n");
    } else {
      i++;
    }
  }
 
  /* computation */
  count = 0;
  for (i=0; i<N; i++) {
    for (j=0; j<M; j++) {
      if (v1[i] == v2[j]) {
        count++;
      }
    }
  }

  /* output result */
  printf("Number of common elements: %d\n", count);
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
