/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 09 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define MAX 1000

int main(void)
{
  int i, j, n;
  int prime[MAX+1];

  /* array initialization */
  printf("Insert n: ");
  scanf("%d", &n);
  for (i=2; i<=MAX; i++) {
    prime[i] = 1;
  }

  /* computation and output */
  for (i=2; i<=n; i++) {
    if (prime[i] == 1) {
      printf("Prime number: %d\n", i);

      /* remove all sub-sequent non-prime numbers */
      for (j=2*i; j<=n; j+=i) {
        prime[j] = 0;
      }
    }
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
