/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 12 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define N 10

int main(void)
{
  int i, posMax=0, lengthMax=0, length=0;
  float array[N];

  /* array initialization */
  for (i=0; i<N; i++) {
    printf("Input v[%d]: ", i);
    scanf("%f", &array[i]);
  }

  /* max length search */
  for (i=0; i<N; i++) {
    if (array[i] <= 0) {
      length = 0;
    } else {
      length++;
    }
    if (length > lengthMax) {
      lengthMax = length;
      posMax = i - lengthMax + 1;
    }
  }

  /* output result */
  printf("The longest positive sequence starts at position %d\n", posMax);
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
