/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 14 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define DIM1 5
#define DIM2 3
#define OVERLAPPING 1

int main(void)
{
  int v1[DIM1], v2[DIM2], i, j, flag;

  /* read in the first array */
  printf("Input v1 (%d elements).\n", DIM1);
  for (i=0; i<DIM1; i++) {
    printf("  v1[%d]: ", i);
    scanf("%d", &v1[i]);
  } 

  /* read in the second array */
  printf("Input v2 (%d elements).\n", DIM2);
  for (i=0; i<DIM2; i++) {
    printf("  v2[%d]: ", i);
    scanf("%d", &v2[i]);
  } 

  /* computation */
  i = 0;
  while (i <= DIM1-DIM2) {
    j = 0;
    flag = 1;
    while (j<DIM2 && flag==1) {
      if (v1[i+j] != v2[j]) {
        flag = 0;
      }
      j++;
    }
    if (flag == 1) {
      printf("Sub-sequence found from element %d.\n", i);
      if (OVERLAPPING == 0) {
        /* find out NON-overlapping sub-sequences */
        i = i + DIM2;
      } else {
        /* find out overlapping sub-sequences */
        i++;
      }
    } else {
      i++;
    }
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
