/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio Proposto 03 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define  N  5

int main(void)
{
  int base[N], exp[N], power[N];
  int i, j;

  /* input the base array */
  printf("Input base array:\n");
  for (i=0; i<N; i++) {
    printf("base[%d] = ", i);
    scanf("%d", &base[i]);
  }

  /* input the exp array */
  printf("Input exp array:\n");
  for (i=0; i<N; i++) {
    printf("exp[%d] = ", i);
    scanf("%d", &exp[i]);
  }
 
  /* power array computation */
  for (i=0; i<N; i++) {
    power[i] = 1;
    for (j=0; j<exp[i]; j++) {
      power[i] = power[i] * base[i]; 
    }
  }

  /* output result */
  printf("Resulting power array:\n");
  for (i=0; i<N; i++) {
    printf("power[%d] = %d\n", i, power[i]);
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
