/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio Proposto 04 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define DIM 10

int main(void)
{
  int v[DIM], vp[DIM], vn[DIM];
  int i, p=0, n=0;

  /* read the array */
  for (i=0; i<DIM; i++) {
    printf("v[%d] = ", i);
    scanf("%d", &v[i]);
  }

  /* partition */
  for (i=0; i<DIM; i++) {
    if (v[i] > 0) {
      vp[p] = v[i];
      p++;
    } 
    if (v[i] < 0) {
      vn[n] = v[i];
      n++;
    }
  }

  /* output results */
  printf("vp: ");
  for (i=0; i<p; i++) {
    printf("%d ", vp[i]);
  }
  printf("\n");

  printf("vn: ");
  for (i=0; i<n; i++) {
    printf("%d ", vn[i]);
  }
  printf("\n");

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
