/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio Proposto 05 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define MAX_ELEM 200

int main(void)
{
  int array[MAX_ELEM];
  int i, j, num=0;

  /* array input */
  do {
    printf("array[%d] = ", num);
    scanf("%d", &array[num++]);
  } while (array[num-1]>=0 && num<MAX_ELEM);

  /* replace duplicates with negative values */
  for (i=0; i<num-1; i++) {
    for (j=i+1; j<num; j++) {
      if (array[j] == array[i]) {
        array[j] = -1;
      }
    }
  }

  /* replace negative values with valid elements */
  for (i=0, j=0; i<num; i++) {
    if (array[i] >= 0) {
      array[j++] = array[i];
    }
  }

  /* final output */
  printf("Resulting array (%d elements):\n", j);
  for (i=0; i<j; i++) {
    printf("array[%d] = %d\n", i, array[i]);
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
