/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 07 - Esercizio 03 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define DIM  10

int main(void)
{
  int i, j, nr, nc, matrix[DIM][DIM];

  /* input matrix */
  printf("Insert nr: ");
  scanf("%d", &nr);
  printf("Insert nc: ");
  scanf("%d", &nc);

  if (nr>DIM || nc>DIM) {
    printf("Too large matrix dimensions: aborting...\n");
  } else {
    for (i=0; i<nr; i++) {
      for (j=0; j<nc; j++) { 
        printf("Element [%d, %d]: ", i, j);
        scanf("%d", &matrix[i][j]);
      }
    }

    /* output transposed matrix */
    printf("Transposed matrix:\n");
    for (j=0; j<nc; j++) {
      for (i=0; i<nr; i++) {
        printf("%3d ", matrix[i][j]);
      }
      printf("\n");
    }
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
