/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 07 - Esercizio 06 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define MAX 10

int main(void)
{
  int matrixIn[MAX][MAX], matrixOut[MAX][MAX];
  int i, j, n, r;

  /* input matrix */
  printf("Insert n: ");
  scanf("%d", &n);

  for (i=0; i<n; i++) {
    for (j=0; j<n; j++) {
      printf("Element [%d, %d]: ", i, j);
      scanf("%d", &matrixIn[i][j]);
    }
  }

  /* rotation */
  printf("Insert r: ");
  scanf("%d", &r);

  if (r > 0) { 
    /* right rotation */
    for (i=0; i<n; i++) {
      for (j=0; j<n; j++) { 
        matrixOut[j][n-1-i] = matrixIn[i][j];
      }
    }
  } else if (r < 0) { 
    /* left rotation */
    for (i=0; i<n; i++) {
      for (j=0; j<n; j++) {
        matrixOut[n-1-j][i] = matrixIn[i][j];
      }
    }
  } else { 
    /* complete rotation */
    for (i=0; i<n; i++) {
      for (j=0; j<n; j++) {
        matrixOut[n-1-i][n-1-j] = matrixIn[i][j];
      }
    }
  }

  /* output matrix */
  for (i=0; i<n; i++) {
    for (j=0; j<n; j++) {
      printf("%2d ", matrixOut[i][j]);
    }
    printf("\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
