/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 07 - Esercizio Proposto 01 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define MAX_DIM 10

int main(void)
{
  int i, j, nr, nc, ne;
  float matrix[MAX_DIM][MAX_DIM];
  float array[MAX_DIM*MAX_DIM];

  /* read the array */
  printf("Number of elements: ");
  scanf("%d", &ne);
  for (i=0; i<ne; i++) {
    printf("Element [%d]: ", i);
    scanf("%f", &array[i]);
  }

  /* generate the matrix */
  printf("Number of matrix rows: ");
  scanf("%d", &nr);
  nc = ne / nr;
  for (i=0; i<ne; i++) {
    matrix[i/nc][i%nc] = array[i];
  }

  /* output result */
  for (i=0; i<nr; i++) {
    for (j=0; j<nc; j++) {
      printf("%.2f ", matrix[i][j]);
    }
    printf("\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
