/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 09 - Esercizio 03 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define MAX 50

int main(void)
{
  char str_in[MAX+1], str_out[MAX+1];
  int i, n, p;

  /* input phase */ 
  printf("Starting string: ");
  i = 0;
  do {
    scanf("%c", &str_in[i]);
  } while (str_in[i++] != '\n');
  str_in[i-1] = '\0';

  printf("Sub-string length: ");
  scanf("%d", &n);
  printf("Initial position: ");
  scanf("%d", &p);

  /* computation and output */ 
  for (i=0; i<n; i++) {
    str_out[i] = str_in[i+p];
  }
  str_out[n] = '\0';
  printf("Resulting string: %s\n", str_out);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
