/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 09 - Esercizio 03 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <string.h>

#define MAX 50

int main(void)
{
  char str_in[MAX+1], str_out[MAX+1];
  int n, p;

  /* input phase */ 
  printf("Starting string: ");
  scanf("%s", str_in);
  printf("Sub-string length: ");
  scanf("%d", &n);
  printf("Initial position: ");
  scanf("%d", &p);

  /* computation and output */ 
  strncpy(str_out, str_in+p, n);
  str_out[n] = '\0';
  printf("Resulting string: %s\n", str_out);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
