/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 09 - Esercizio 05 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <string.h>
#include <ctype.h>

#define MAX 51

int main(void)
{
  char word[MAX], c;
  int j;

  word[0] = '\0';
  printf("Input the string: ");
  do {
    scanf("%c", &c);
    if (!isspace(c) && strchr(word, c)==NULL) {
      /* add the new char to the result word */
      j = strlen(word);
      word[j+1] = '\0';
      while (--j>=0 && word[j]>c) {
        word[j+1] = word[j];
      }
      word[j+1] = c;
    }
  } while (c != '\n');
  printf("Sorted string: %s\n", word);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
