/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 09 - Esercizio Proposto 01 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <string.h>

#define MAX 20

int main(void)
{
  int i, num, max=0;
  char ctr, strIn[MAX+1], strMax[MAX+1];

  printf("Char to look for? ");
  scanf("%c%*c", &ctr);

  strcpy(strMax, "");
  do {
    printf("Word: ");
    scanf("%s", strIn);
    if (strcmp(strIn, "stop") != 0) {
      /* count occurrences */
      num = 0;
      for (i=0; i<strlen(strIn); i++) {
        if (strIn[i] == ctr) {
          num++;
        }
      }
      /* check for maximum */
      if (num > max) {
        max = num;
        strcpy(strMax, strIn);
      }
    } 
  } while (strcmp(strIn, "stop") != 0);

  if (strlen(strMax) > 0) {
    printf("The word with most '%c' is %s.\n", ctr, strMax);
  } else {
    printf("No word contains '%c'.\n", ctr);
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
