/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 09 - Esercizio Proposto 03 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <string.h>

#define MAX 21

int main(int argc, char *argv[])
{
  char s1[MAX], s2[MAX], common[MAX];
  int i, length;

  /* manage parameters */
  if (argc != 3) {
    printf("Parameter error.\n");
    printf("Run program as: %s string1 string2.\n", argv[0]);
    return 1;
  }

  strcpy(s1, argv[1]);
  strcpy(s2, argv[2]);
  common[0] = '\0';
  length = 0;

  /* generate and output result */ 
  for (i=0; i<strlen(s1); i++) {
    if (strchr(s2, s1[i])!=NULL && strchr(common, s1[i])==NULL) {
      common[length++] = s1[i];
      common[length] = '\0';
    }
  }
  printf("Common chars: %s\n", common);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
