/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 01 - Esercizio Proposto 03 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  float s0, v0, t0, a, tf;
  float t, at, sf, vf;

  /* input problem data */
  printf("Initial time? ");
  scanf("%f", &t0);
  printf("Initial space? ");
  scanf("%f", &s0);
  printf("Initial speed? ");
  scanf("%f", &v0);
  printf("Acceleration? ");
  scanf("%f", &a);
  printf("Final time? ");
  scanf("%f", &tf);

  /* computation */
  t = tf - t0; 
  at = a * t;
  sf = s0 + v0*t + (at*t)/2;
  vf = v0 + at;

  /* output results */
  printf("Final space: %f\n", sf);
  printf("Final speed: %f\n", vf);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
