/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 02 - Esercizio Proposto 02 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int a, b, c;
  float area;

  /* input sides */
  printf("Insert first  side: ");
  scanf("%d", &a);
  printf("Insert second side: ");
  scanf("%d", &b);
  printf("Insert third  side: ");
  scanf("%d", &c);

  /* comparisons */
  if (a > b) {
    if (a > c) {
      printf("The hypotenuse is the first side.\n");
      area = ((float) (b * c)) / 2;
    } else {
      printf("The hypotenuse is the third side.\n");
      area = ((float) (a * b)) / 2;
    }
  } else {
    if (b > c) {
      printf("The hypotenuse is the second side.\n");
      area = ((float) (a * c)) / 2;
    } else {
      printf("The hypotenuse is the third side.\n");
      area = ((float) (a * b)) / 2;
    }
  }

  /* output the area */
  printf("Area = %f\n", area);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
