/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 02 - Esercizio Proposto 03 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  float a, b, c;

  /* input sides */
  printf("First side a: ");
  scanf("%f", &a);
  printf("Second side b: ");
  scanf("%f", &b);
  printf("Third side c: ");
  scanf("%f", &c);

  /* computation and output */
  if ((a>=b+c) || (b>=a+c) || (c>=a+b)) {
    printf("This is not a triangle.\n");
  } else {
    if ((a==b) && (a==c)) {
      printf("Equilateral triangle.\n");
    } else {
      if ((a==b) || (a==c) || (b==c)) {
        printf("Isosceles triangle.\n");
      } else {
        printf("Scalene triangle.\n");
      }
    }
  }

  if ((a*a==b*b+c*c) || (b*b==a*a+c*c) || (c*c==a*a+b*b)) {
    printf("Rectangular triangle.\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
