/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 04 - Soluzione 3
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, val, i;
  int max, pos;

  /* input n */
  printf("How many numbers? ");
  scanf("%d", &n);

  i = 1;
  while (i <= n) {
    /* input new value */
    printf("%d-th value: ", i);
    scanf("%d", &val);

    /* first iteration or new maximum? */
    if (i==1 || val>max) {
      max = val;
      pos = i;
    }

    i++;
  }

  /* output result */
  if (n > 0) {
    printf("Maximum number %d (position: %d out of %d).\n", max, pos, n);
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
