/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 13 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int r, x, y, m, M;
 
  /* input x and y */
  printf("First number: ");
  scanf("%d", &x);
  printf("Second number: ");
  scanf("%d", &y);

  /* get initial M and m */
  if (x > y) {
     M = x;
     m = y;
  } else {
     M = y;
     m = x;
  }

  /* compute gcd */
  do {
     r = M % m;
     M = m;
     m = r;
  } while (r != 0);

  /* output result */
  printf("GCD(%d, %d) = %d\n", x, y, M);
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
