/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 15 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int i, n1, n2, n3;
  float avg, avgMax;

  i = 0;
  do {
    /* shift the window */
    n1 = n2;
    n2 = n3;

    /* input new value */
    printf("Introduce number #%d (<0 to conclude): ", i);
    scanf("%d", &n3);
    i++;

    /* compute average and set maximum value */
    if (i>=3 && n3>=0) {
      avg = (n1+n2+n3) / 3.0;
      if (i==3 || avg>avgMax) {
        avgMax = avg;
      }
    }

  } while (n3 >= 0);

  /* output result */
  if (i > 3) {
    printf("Maximum average value = %.4f.\n", avgMax);
  }
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
