/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio 16 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int stateId;
  char c;

  printf("Input one character at a time.\n");
  printf("The program ends when the sequence \"ciao\" is encountered.\n");

  stateId = 0;
  do {
    /* read new character */
    printf("Character = ");
    scanf("%c%*c", &c);

    /* decide next state */
    if (c == 'c') {
      stateId = 1;
    } else if (stateId == 1 && c == 'i') {
      stateId = 2;
    } else if (stateId == 2 && c == 'a') {
      stateId = 3;
    } else if (stateId == 3 && c == 'o') {
      stateId = 4;
    } else {
      stateId = 0;
    }

  } while (stateId <= 3);

  printf("Sequence \"ciao\" encountered.\n");
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
