/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 03 - Esercizio Proposto 04 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  float s0, v0, a, t0, t, dt, si, vi;
  int n;

  /* input problem data */
  printf("Initial time? ");
  scanf("%f", &t0);
  printf("Initial space? ");
  scanf("%f", &s0);
  printf("Initial speed? ");
  scanf("%f", &v0);
  printf("Acceleration? ");
  scanf("%f", &a);
  printf("Samples number? ");
  scanf("%d", &n);
  printf("Time between samples? ");
  scanf("%f", &dt);

  /* computation and output */
  t = dt;
  printf("Time\tSpace\tSpeed\n");
  printf("%.3f\t%.3f\t%.3f\n", t0, s0, v0);
  while (n > 0) {
     si = s0 + v0*t + a*t*t/2;
     vi = v0 + a*t;
     printf("%.3f\t%.3f\t%.3f\n", t+t0, si, vi);
     t += dt;
     n--;
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
