/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 04 - Esercizio 04 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int n, r, c;

  printf("Square side: ");
  scanf("%d", &n);

  /* first row */
  for (c=1; c<=n; c++) {
    printf("*");
  }
  printf("\n");

  /* intermediate rows */
  for (r=2; r<=n-1; r++) {
    printf("*");
    for (c=2; c<=n-1; c++) {
      printf(" ");
    }
    printf("*\n");
  }

  /* last row */
  for (c=1; c<=n; c++) {
    printf("*");
  }
  printf("\n");

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
