/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 04 - Esercizio 09 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int x, x1, x2, x3, f;

  printf("x1 x2 x3   f = x1 && x2 && x3\n");

  for (x=0; x<=7; x++) {
    /* convert x (integer base 10) to x1, x2 and x3 bits */
    x1 = x % 2;
    x2 = (x/2) % 2;
    x3 = (x/4) % 2;

    /* compute and output the AND value */    
    f = x1 && x2 && x3;
    printf("%d  %d  %d    %d\n", x3, x2, x1, f);
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
