/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 04 - Esercizio Proposto 05 - Soluzione 2
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <math.h>

int main(void)
{
  float mySin, term, num, den, x;
  int i, n;

  /* input data */
  printf("Angle x: ");
  scanf("%f", &x);
  printf("Number of terms n: ");
  scanf("%d", &n);
  
  num = x;
  den = 1.0;
  mySin = x;
  for (i=1; i<n; i++) {
    /* compute (-1)^i*x^(2i+1)/(2i+1)! */

    /* numerator: x^(2i+1) */
    num = num * x * x;

    /* denominator: (2i+1)! */
    den = den * (2*i) * (2*i+1);   

    /* term: x^(2i+1)/(2i+1)! */
    term = num/den;

    /* sign */
    if (i%2 == 0) {
      mySin = mySin + term; 
    } else {
      mySin = mySin - term;
    }
  }
  
  printf("Computed value: %.9f\n", mySin);
  printf("System call to function sin: %.9f\n", sin(x));

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
