/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 05 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define MAX 100

int main(void)
{
  int i, x, n, count, continueFlag=0;
  int array[MAX];

  /* input n */
  do {
    printf("Insert n: ");
    scanf("%d", &n);
  } while (n > MAX);

  /* array initialization */
  for (i=0; i<n; i++) {
    printf("Value [%d] = ", i);
    scanf("%d", &array[i]);
  }

  do {
    /* input the search value */
    printf("Insert x: ");
    scanf("%d", &x);

    /* count the occurrences */
    count = 0;
    for (i=0; i<n; i++) {
      if (array[i] == x) {
        count++;
      }
    }

    /* output the result */
    printf("The value %d appears %d times in the sequence.\n", x, count);

    /* keep going on? */
    printf("Would you like to continue (1=yes, 0=no)? ");
    scanf("%d", &continueFlag);
  } while (continueFlag);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
