/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 06 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define N 13

int main(void)
{
  char win[N], c, answer='N';
  int i, count;

  /* winning combination */
  printf("Insert the winning combination: ");
  for (i=0; i<N; i++) {
    scanf("%c", &win[i]);
  }
  scanf("%*c");

  do {
    count = 0;
    printf("Insert the current combination: ");
    for (i=0; i<N; i++) {
      scanf("%c", &c);
      if (c == win[i]) {
        count++;
      }
    }
    scanf("%*c");

    /* output the result */
    printf("The score is %d\n", count);

    /* keep going on? */
    printf("Would you like to continue (Y/N)? ");
    scanf("%c%*c", &answer);
  } while (answer == 'Y');

  printf("End of program.\n");
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
