/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 07 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define N 5

int main(void)
{
  int sequence[N], flag, i;

  /* input array */
  for (i=0; i<N; i++) {
    printf("Element [%d]: ", i);
    scanf("%d", &sequence[i]);
  } 

  /* compare left-most and right-most elements */
  i = flag = 0;
  while (i<N/2 && flag==0) {
    if (sequence[i] != sequence[N-1-i]) {
      flag = 1;
    }
    i++;
  }

  if (flag == 0){
    printf("Palindrome sequence.\n");
  } else {
    printf("Not-Palindrome sequence.\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
