/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio 13 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

int main(void)
{
  int i, n;
  /* "base" roman chars */
  char roman[7] = {'I', 'V', 'X', 'L', 'C', 'D', 'M'}; 
  /* correspondent decimal values */
  int decimal[7] = {1, 5, 10, 50, 100, 500, 1000}; 

  printf("Insert a number: ");
  scanf("%d", &n);

  i = 6;
  while (n > 0) {
    if (n >= decimal[i]) {
      printf("%c", roman[i]);
      n -= decimal[i];
    } else {
      i--;
    }
  }

  printf("\n");
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
