/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio Proposto 01 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define N 5

int main(void)
{
  float s, v1[N], v2[N];
  int i;

  /* input first array */
  printf("Input v1:\n");
  for (i=0; i<N; i++) {
    printf("v1[%d] = ", i);
    scanf("%f", &v1[i]);
  }

  /* input second array */
  printf("Input v2:\n");
  for (i=0; i<N; i++) {
    printf("v2[%d] = ", i);
    scanf("%f", &v2[i]);
  }

  /* computation */
  s = 0;
  for (i=0; i<N; i++) {
    s += v1[i]*v2[i];
  }

  /* output result */
  printf("Scalar product: s = %.3f\n", s);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
