/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 05 - Esercizio Proposto 02 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define DIM 10

int main(void)
{
  int v1[DIM], v2[DIM];
  int i, diff, pos, max=-1;

  /* store the arrays */
  printf("First array elements\n");
  for (i=0; i<DIM; i++) {
    printf("v1[%d] = ", i);
    scanf("%d", &v1[i]);
  } 
  printf("Second array elements\n");
  for (i=0; i<DIM; i++) {
    printf("v2[%d] = ", i);
    scanf("%d", &v2[i]);
  } 

  /* max difference computation */
  for (i=0; i<DIM; i++) {
    diff = v1[i] - v2[i];
    if (diff < 0) {
      diff = -diff;
    }
    if (diff > max) {
      max = diff;
      pos = i;
    }
  }

  /* output results */
  printf("Maximum difference = %d (index = %d)\n", max, pos);
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
