/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 07 - Esercizio 02 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define   N_ROW   4
#define   N_COL   3

int main(void)
{
  int i, j;
  int matrix1[N_ROW][N_COL];
  int matrix2[N_ROW][N_COL];
  int matrix3[N_ROW][N_COL];

  /* read matrix 1 */
  printf("Input matrix 1:\n");
  for (i=0; i<N_ROW; i++) {
    for (j=0; j<N_COL; j++) {
      printf("Element [%d, %d] : ", i, j);
      scanf("%d", &matrix1[i][j]);
    }
  }

  /* read matrix 2 */
  printf("Input matrix 2:\n");
  for (i=0; i<N_ROW; i++) {
    for (j=0; j<N_COL; j++) {
      printf("Element [%d, %d] : ", i, j);
      scanf("%d", &matrix2[i][j]);
    }
  }

  /* compute matrix 3 */
  for (i=0; i<N_ROW; i++) {
    for (j=0; j<N_COL; j++) {
      matrix3[i][j] = matrix1[i][j] + matrix2[i][j];
    }
  }

  /* output result */
  printf("Matrix Sum:\n");
  for (i=0; i<N_ROW; i++) {
    for (j=0; j<N_COL; j++) {
      printf("Element [%d, %d] = %d\n", i, j, matrix3[i][j]);
    }
  }
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
