/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 07 - Esercizio 04 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define MAX_DIM 10

int main(void)
{
  int i, j, nr, nc;
  float matrix[MAX_DIM][MAX_DIM];
  float array[MAX_DIM*MAX_DIM];

  /* read in the matrix */
  printf("Row number: ");
  scanf("%d", &nr);
  printf("Column number: ");
  scanf("%d", &nc);

  for (i=0; i<nr; i++) {
    for (j=0; j<nc; j++) { 
      printf("Element [%d, %d]: ", i, j);
      scanf("%f", &matrix[i][j]);
    }
  }

  /* generate the array */
  for (i=0; i<nr; i++) {
    for (j=0; j<nc; j++) {
      array[i*nc+j] = matrix[i][j];
    }
  }

  /* output result */
  for (i=0; i<nr*nc; i++) {
    printf("%.2f ", array[i]);
  }
  printf("\n");

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
