/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 07 - Esercizio 07 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define MAX 10

int main(void)
{
  int i, j, n;
  int matrix[MAX][MAX];

  printf("Insert n: ");
  scanf("%d", &n);
  if (n > MAX) {
    n = MAX;
  }

  /* triangle construction */
  for (i=0; i<n; i++) {
    matrix[i][0] = 1;
    for (j=1; j<i; j++) {
      matrix[i][j] = matrix[i-1][j-1] + matrix[i-1][j];
    }
    matrix[i][i] = 1;
  }

  /* triangle print */
  for (i=0; i<n; i++) {
    for (j=0; j<=i; j++) {
      printf("%3d ", matrix[i][j]);
    }
    printf("\n");
  }

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
