/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 07 - Esercizio 13 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>

#define DIM1 5
#define DIM2 2

int main(void)
{
  int i, j, r, c, num=0, flag;
  int mat1[DIM1][DIM1], mat2[DIM2][DIM2];

  /* read in the first matrix */
  printf("Input matrix 1\n");
  for (i=0; i<DIM1; i++) {
    for (j=0; j<DIM1; j++) {
      printf("Element [%d, %d] : ", i, j);
      scanf("%d", &mat1[i][j]);
    }
  }

  /* read in the second matrix */
  printf("Input matrix 2\n");
  for (i=0; i<DIM2; i++) {
    for (j=0; j<DIM2; j++) {
      printf("Element [%d, %d] : ", i, j);
      scanf("%d", &mat2[i][j]);
    }
  }

  /* computation */
  for (i=0; i<=DIM1-DIM2; i++) {
    for (j=0; j<=DIM1-DIM2; j++) {
      flag = 1;
      for (r=0; r<DIM2 && flag==1; r++) {
        for (c=0; c<DIM2 && flag==1; c++) {
          if (mat1[i+r][j+c] != mat2[r][c]) {
            flag = 0;
          }
        }
      }
      num += flag;
    }
  }

  /* output result */
  printf("The second matrix is included %d time(s) in the first.\n", num);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
