/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 09 - Esercizio 07 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <ctype.h>

/* constants */
#define TRUE   1
#define FALSE  0
#define MAX   80

int main(void)
{
  char line[MAX];
  int i, flag=TRUE;

  /* input cycle */
  printf("Input the line:\n");
  i = 0;
  do {
   scanf("%c", &line[i]); 
  } while (line[i++] != '\n');

  /* capital conversion and output */
  i = 0;
  do {
    if (line[i] != ' ') {
      if (flag == TRUE) {
        line[i] = toupper(line[i]);   
        flag = FALSE;
      }
    } else {
      flag = TRUE;
    }

    printf("%c", line[i]);
  } while (line[i++] != '\n');

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
