/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 09 - Esercizio 11 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <ctype.h>
#include <string.h>

#define  MAX_LENGTH   30+1

int main(void)
{
  char str[MAX_LENGTH];
  int i, p, periodic;

  do {
    printf("String? ");
    scanf("%s", str);
    if (strcmp(str, "stop") != 0) {
      periodic = 0;
      for (p=1; p<=strlen(str)/2 && !periodic; p++) {
        if (strlen(str)%p == 0) {
          periodic = 1;
          for (i=p; i<strlen(str) && periodic; i+=p) {
            if (strncmp(str, str+i, p) != 0) {
              periodic = 0;
            }
          }
          if (periodic) {
            printf("String %s is periodic (period %d).\n", str, p);
          } 
        }
      }
      if (!periodic) {
        printf("String %s is NOT periodic.\n", str);
      }
    }
  } while (strcmp(str, "stop") != 0);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
