/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 09 - Esercizio Proposto 06 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <string.h>

#define MAX 100+1

int main(void)
{
  char word[MAX], line[MAX];
  char *start, *end;
  int i=0, length;

  /* input phase */
  printf("Input the string: ");
  do {
    scanf("%c", &line[i]);
  } while (line[i++] != '\n');
  line[i-1] = '\0';

  /* computation */
  word[0] = '\0';
  end = line;
  while (end != NULL) {
    while (*end == ' ') {
      end++; 
    }
    start = end;
    end = strchr(start, ' ');
    if (end != NULL) {
      length = end - start;
    } else {
      length = strlen(start);
    }
    if (length > strlen(word)) {
      strncpy(word, start, length);
      word[length] = '\0';
    }
  }

  /* output result */
  printf("The longest word is: %s\n", word);
  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
