/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 * Capitolo 10 - Esercizio 07 - Soluzione 1
 *
 * Nessuna garanzia viene fornita su questo programma:
 * gli Autori e la Casa Editrice non potranno in nessun
 * caso essere ritenuti responsabili di eventuali danni
 * (materiali e/o immateriali) da esso cagionati.
 * E' liberamente consentita la modifica (ma non la
 * redistribuzione) di questo file, a patto che le note
 * di copyright poste in testa e in coda a esso vengano
 * mantenute inalterate.
 * 
 */

#include <stdio.h>
#include <string.h>

#define  MAX_FLIGHT   200
#define  MAX_CODE       3

int main(void)
{
  int i, j, nf=0, num=0, found, flag[MAX_FLIGHT];
  char flights[MAX_FLIGHT][2][MAX_CODE+1];
  char src[MAX_CODE+1], dst[MAX_CODE+1];
  FILE *fp;

  /* read file */
  if ((fp = fopen("flights.txt", "r")) == NULL) {
    printf("Error opening the input file.\n");
    return 1;
  }

  while (fscanf(fp, "%s %s\n", src, dst) != EOF) {
    strcpy(flights[nf][0], src);
    strcpy(flights[nf][1], dst);
    flag[nf] = 0;
    nf++;
  }
  fclose(fp);

  /* search paths */
  for (i=0; i<nf-1; i++) {
    if (!flag[i]) {
      found = 0;
      for (j=i+1; j<nf && !found; j++) {
        if (strcmp(flights[i][1], flights[j][0]) == 0) {
          if (strcmp(flights[i][0], flights[j][1]) == 0) {
            printf("%s %s\n", flights[i][0], flights[i][1]);
            num++;
            flag[j] = 1;
            found = 1;
          }
        }
      }
    }
  }
  printf("# Round connections: %d\n", num);

  return 0;
}

/*
 * Copyright C.L.U.T. - Torino - Ottobre 2016
 *
 * Sergio Nocco   Stefano Quer
 * Guida alla Programmazione in Linguaggio C
 * Volume I: Fondamenti di programmazione
 *
 */
